ros-lunar-roslaunch (1.13.7-0stretch) stretch; urgency=high

  * fix "pass_all_args" for roslaunch-check, add nosetest (#1368 <https://github.com/ros/ros_comm/issues/1368>)
  * add substitution when loading yaml files (#1354 <https://github.com/ros/ros_comm/issues/1354>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-lunar-roslaunch (1.13.6-0stretch) stretch; urgency=high

  * add process listeners to XML RPC server (#1319 <https://github.com/ros/ros_comm/issues/1319>)
  * pass through command-line args to the xmlloader when using the API (#1115 <https://github.com/ros/ros_comm/issues/1115>)
  * make master process explicitly 'required' for parent launch (#1228 <https://github.com/ros/ros_comm/issues/1228>)
  * remove unreachable exceptions (#1260 <https://github.com/ros/ros_comm/issues/1260>)
  * replace Thread.setDaemon() using new API (#1276 <https://github.com/ros/ros_comm/issues/1276>)
  * use roslaunch.core.printerrlog for printing error message (#1193 <https://github.com/ros/ros_comm/issues/1193>, #1317 <https://github.com/ros/ros_comm/issues/1317>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-lunar-roslaunch (1.13.5-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-lunar-roslaunch (1.13.4-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-lunar-roslaunch (1.13.3-0stretch) stretch; urgency=high

  * add --set-master-logger-level option for 'rosmaster' to output LOG_API (#1180 <https://github.com/ros/ros_comm/issues/1180>)
  * use defined error codes rather than hardcoded integers (#1174 <https://github.com/ros/ros_comm/issues/1174>, #1181 <https://github.com/ros/ros_comm/issues/1181>)
  * fix parameter leaking into sibling scopes (#1158 <https://github.com/ros/ros_comm/issues/1158>)
  * avoid full stack trace for ResourceNotFound (#1147 <https://github.com/ros/ros_comm/issues/1147>)
  * remove mention of rosmake from error message (#1140 <https://github.com/ros/ros_comm/issues/1140>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-lunar-roslaunch (1.13.2-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-lunar-roslaunch (1.13.1-0stretch) stretch; urgency=high

  * add $(dirname) to get directory of current launch file (#1103 <https://github.com/ros/ros_comm/pull/1103>)
  * clean the namespace to get rid of double or trailing forward slashes (#1100 <https://github.com/ros/ros_comm/issues/1100>)
  * only launch core nodes if master was launched by roslaunch (#1098 <https://github.com/ros/ros_comm/pull/1098>)
  * ensure pid file is removed on exit (#1057 <https://github.com/ros/ros_comm/pull/1057>, #1084 <https://github.com/ros/ros_comm/pull/1084>)
  * add yaml type for param tag (#1045 <https://github.com/ros/ros_comm/issues/1045>)
  * ensure cwd exists (#1031 <https://github.com/ros/ros_comm/pull/1031>)
  * respect if/unless for roslaunch-check (#998 <https://github.com/ros/ros_comm/pull/998>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-roslaunch (1.13.0-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-lunar-roslaunch (1.12.7-0stretch) stretch; urgency=high

  * improve error message for invalid tags (#989 <https://github.com/ros/ros_comm/pull/989>)
  * fix caching logic to improve performance (#931 <https://github.com/ros/ros_comm/pull/931>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-lunar-roslaunch (1.12.6-0stretch) stretch; urgency=high

  * add USE_TEST_DEPENDENCIES option to roslaunch_add_file_check() (#910 <https://github.com/ros/ros_comm/pull/910>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.5-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.4-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.3-0stretch) stretch; urgency=high

  * better naming for roslaunch check test results (#897 <https://github.com/ros/ros_comm/pull/897>)
  * support use_test_depends option for roslaunch-check (#887 <https://github.com/ros/ros_comm/pull/887>)
  * allow empty include (#882 <https://github.com/ros/ros_comm/pull/882>)
  * fix param command for Python 3 (#840 <https://github.com/ros/ros_comm/pull/840>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.2-0stretch) stretch; urgency=high

  * support registering the same test multiple times with different arguments (#814 <https://github.com/ros/ros_comm/pull/814>)
  * fix passing multiple args to roslaunch_add_file_check (#814 <https://github.com/ros/ros_comm/pull/814>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.1-0stretch) stretch; urgency=high

  * add support for Python expressions (#784 <https://github.com/ros/ros_comm/pull/784>, #793 <https://github.com/ros/ros_comm/pull/793>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-lunar-roslaunch (1.12.0-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-lunar-roslaunch (1.11.18-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-lunar-roslaunch (1.11.17-0stretch) stretch; urgency=high

  * improve roslaunch-check to not fail if recursive dependencies lack dependencies (#730 <https://github.com/ros/ros_comm/pull/730>)
  * add "pass_all_args" attribute to roslaunch "include" tag (#710 <https://github.com/ros/ros_comm/pull/710>)
  * fix a typo in unknown host error message (#735 <https://github.com/ros/ros_comm/pull/735>)
  * wait for param server to be available before trying to get param (#711 <https://github.com/ros/ros_comm/pull/711>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-lunar-roslaunch (1.11.16-0stretch) stretch; urgency=high

  * add -w and -t options (#687 <https://github.com/ros/ros_comm/pull/687>)
  * fix missing minimum version for rospkg dependency (#693 <https://github.com/ros/ros_comm/issues/693>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-lunar-roslaunch (1.11.15-0stretch) stretch; urgency=high

  * improve performance by reusing the rospack instance across nodes with the same default environment (#682 <https://github.com/ros/ros_comm/pull/682>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-lunar-roslaunch (1.11.14-0stretch) stretch; urgency=high

  * add more information when test times out

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-lunar-roslaunch (1.11.13-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-lunar-roslaunch (1.11.12-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-lunar-roslaunch (1.11.11-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-lunar-roslaunch (1.11.10-0stretch) stretch; urgency=high

  * fix exception at roscore startup if python has IPv6 disabled (#515 <https://github.com/ros/ros_comm/issues/515>)
  * fix error handling (#516 <https://github.com/ros/ros_comm/pull/516>)
  * fix compatibility with paramiko 1.10.0 (#498 <https://github.com/ros/ros_comm/pull/498>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-lunar-roslaunch (1.11.9-0stretch) stretch; urgency=high

  * fix usage of logger before it is initialized (#490 <https://github.com/ros/ros_comm/issues/490>) (regression from 1.11.6)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.8-0stretch) stretch; urgency=high

  * remove implicit rostest dependency and use rosunit instead (#475 <https://github.com/ros/ros_comm/issues/475>)
  * accept stdin input alongside files (#472 <https://github.com/ros/ros_comm/issues/472>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.7-0stretch) stretch; urgency=high

  * fix the ROS_MASTER_URI environment variable logic on Windows (#2 <https://github.com/windows/ros_comm/issues/2>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.6-0stretch) stretch; urgency=high

  * fix printing of non-ascii roslaunch parameters (#454 <https://github.com/ros/ros_comm/issues/454>)
  * add respawn_delay attribute to node tag in roslaunch (#446 <https://github.com/ros/ros_comm/issues/446>)
  * write traceback for exceptions in roslaunch to log file

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.5-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.4-0stretch) stretch; urgency=high

  * fix handling of if/unless attributes on args (#437 <https://github.com/ros/ros_comm/issues/437>)
  * improve parameter printing in roslaunch (#89 <https://github.com/ros/ros_comm/issues/89>)
  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>, #427 <https://github.com/ros/ros_comm/issues/427>, #429 <https://github.com/ros/ros_comm/issues/429>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.3-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.2-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.1-0stretch) stretch; urgency=high

  * fix roslaunch anonymous function to generate the same output for the same input (#297 <https://github.com/ros/ros_comm/issues/297>)
  * add doc attribute to roslaunch arg tags (#379 <https://github.com/ros/ros_comm/issues/379>)
  * print parameter values in roslaunch (#89 <https://github.com/ros/ros_comm/issues/89>)
  * add architecture_independent flag in package.xml (#391 <https://github.com/ros/ros_comm/issues/391>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-roslaunch (1.11.0-0stretch) stretch; urgency=high

  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-lunar-roslaunch (1.10.0-0stretch) stretch; urgency=high

  * add optional DEPENDENCIES argument to roslaunch_add_file_check()
  * add explicit run dependency (#347 <https://github.com/ros/ros_comm/issues/347>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-lunar-roslaunch (1.9.54-0stretch) stretch; urgency=high

  * add missing run/test dependencies on rosbuild to get ROS_ROOT environment variable

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jan 2014 08:00:00 -0000

ros-lunar-roslaunch (1.9.53-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Jan 2014 08:00:00 -0000

ros-lunar-roslaunch (1.9.52-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-lunar-roslaunch (1.9.51-0stretch) stretch; urgency=high

  * fix roslaunch-check for unreleased wet dependencies (#332 <https://github.com/ros/ros_comm/issues/332>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-lunar-roslaunch (1.9.50-0stretch) stretch; urgency=high

  * add option to disable terminal title setting
  * fix roslaunch-check to handle more complex launch files

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-lunar-roslaunch (1.9.49-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Sep 2013 07:00:00 -0000

ros-lunar-roslaunch (1.9.48-0stretch) stretch; urgency=high

  * update roslaunch to support ROS_NAMESPACE (#58 <https://github.com/ros/ros_comm/issues/58>)
  * make roslaunch relocatable (ros/catkin#490 <https://github.com/ros/catkin/issues/490>)
  * change roslaunch resolve order (#256 <https://github.com/ros/ros_comm/issues/256>)
  * fix roslaunch check script in install space (#257 <https://github.com/ros/ros_comm/issues/257>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-lunar-roslaunch (1.9.47-0stretch) stretch; urgency=high

  * improve roslaunch completion to include launch file arguments (#230 <https://github.com/ros/ros_comm/issues/230>)
  * check for CATKIN_ENABLE_TESTING to enable configure without tests

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 07:00:00 -0000

ros-lunar-roslaunch (1.9.46-0stretch) stretch; urgency=high

  * add CMake function roslaunch_add_file_check() (#241 <https://github.com/ros/ros_comm/issues/241>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 18 Jun 2013 07:00:00 -0000

ros-lunar-roslaunch (1.9.45-0stretch) stretch; urgency=high

  * modified roslaunch $(find PKG) to consider path behind it for resolve strategy (#233 <https://github.com/ros/ros_comm/pull/233>)
  * add boolean attribute 'subst_value' to rosparam tag in launch files (#218 <https://github.com/ros/ros_comm/issues/218>)
  * add command line parameter to print out launch args
  * fix missing import in arg_dump.py

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-lunar-roslaunch (1.9.44-0stretch) stretch; urgency=high

  * fix 'roslaunch --files' with non-unique anononymous ids (#186 <https://github.com/ros/ros_comm/issues/186>)
  * fix ROS_MASTER_URI for Windows

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Mar 2013 07:00:00 -0000

ros-lunar-roslaunch (1.9.43-0stretch) stretch; urgency=high

  * implement process killer for Windows

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-lunar-roslaunch (1.9.42-0stretch) stretch; urgency=high

  * add option --skip-log-check (#133 <https://github.com/ros/ros_comm/issues/133>)
  * update API doc to list raised exceptions in config.py
  * fix invocation of Python scripts under Windows (#54 <https://github.com/ros/ros_comm/issues/54>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Mar 2013 08:00:00 -0000

ros-lunar-roslaunch (1.9.41-0stretch) stretch; urgency=high

  * improve performance of $(find ...)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Jan 2013 08:00:00 -0000

ros-lunar-roslaunch (1.9.40-0stretch) stretch; urgency=high

  * fix 'roslaunch --pid=' when pointing to ROS_HOME but folder does not exist (#43 <https://github.com/ros/ros_comm/issues/43>)
  * fix 'roslaunch --pid=' to use shell expansion for the pid value (#44 <https://github.com/ros/ros_comm/issues/44>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 13 Jan 2013 08:00:00 -0000

ros-lunar-roslaunch (1.9.39-0stretch) stretch; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 29 Dec 2012 08:00:00 -0000


